Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# rpmlead Struct Reference
[LEAD.]

`#include <rpmlib.h>`

## Data Fields
unsigned char | magic [4]
unsigned char | major
unsigned char | minor
short | type
short | archnum
char | name [66]
short | osnum
short | signature_type
char | reserved [16]

## Detailed Description

The lead data structure. The lead needs to be 8 byte aligned.

Deprecated:
  The lead (except for signature_type) is legacy.

Todo:
  Don't use any information from lead.

Definition at line 1571 of file rpmlib.h.

## Field Documentation

short rpmlead::archnum

| Definition at line 1575 of file rpmlib.h. Referenced by psmStage(), readLead(), writeLead(), and writeRPM().

unsigned char rpmlead::magic[4]

| Definition at line 1572 of file rpmlib.h. Referenced by readPackageHeaders(), and writeLead().

unsigned char rpmlead::major

| Definition at line 1573 of file rpmlib.h. Referenced by main(), psmStage(), readPackageHeaders(), rpmCheckSig(), rpmReadPackageHeader(), rpmReSign(), and writeRPM().

unsigned char rpmlead::minor

| Definition at line 1573 of file rpmlib.h. Referenced by psmStage(), rpmReadPackageHeader(), and writeRPM().

char rpmlead::name[66]

| Definition at line 1576 of file rpmlib.h.

short rpmlead::osnum

| Definition at line 1577 of file rpmlib.h. Referenced by psmStage(), readLead(), writeLead(), and writeRPM().

char rpmlead::reserved[16]

| Pad to 96 bytes -- 8 byte aligned Definition at line 1579 of file rpmlib.h.

short rpmlead::signature_type

| Signature header type (RPMSIG_HEADERSIG) Definition at line 1578 of file rpmlib.h. Referenced by main(), psmStage(), readLead(), readPackageHeaders(), rpmCheckSig(), rpmReSign(), writeLead(), and writeRPM().

short rpmlead::type

| Definition at line 1574 of file rpmlib.h. Referenced by psmStage(), readLead(), readPackageHeaders(), rewriteRPM(), rpmReadPackageHeader(), writeLead(), and writeRPM().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h